val-sel-commit.cpp File Reference
`#include <gecode/set/branch.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Set
| Finite integer sets.
namespace | Gecode::Set::Branch
| Set branchings

## Functions

ValSelCommitBase< SetView, int > * | Gecode::Set::Branch::valselcommit (Space &home, const SetValBranch &svb)
| Return value and commit for set views.
ValSelCommitBase< SetView, int > * | Gecode::Set::Branch::valselcommit (Space &home, const SetAssign &ia)
| Return value and commit for set views.